Subject: [spring] SRv6 Network Programming - ICMP Source Address Selection

From: Ron Bonica <[email-masked]>
Date: Fri, 6 Dec 2019 16:39:47 +0000

Authors,

When an SRv6 node sends an ICMP message, how does it select the ICMP message's source address?

Section 2.2 of RFC 4443 offers two options. If you think that a SID is a unicast address, the first option is applicable. If you think that a SID is not a unicast address, the second option is applicable.

                                                                     Ron

Juniper Business Use Only

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Mon, 9 Dec 2019 15:18:06 +0000

Ron,

As you pointed out in your email, RFC4443 Section 2.2 is very clear about how to select the source address.
draft-ietf-spring-srv6-network-programming does not change this.

Thanks,
Pablo.

From: ipv6 <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Date: Friday, 6 December 2019 at 17:40
To: SPRING WG <[email-masked]>, 6man <[email-masked]>
Subject: SRv6 Network Programming - ICMP Source Address Selection

Authors,

When an SRv6 node sends an ICMP message, how does it select the ICMP message’s source address?

                                                                     Ron

---

From: Ron Bonica <[email-masked]>
Date: Mon, 9 Dec 2019 22:47:51 +0000

Pablo,

Which did you choose?

                                                                         Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]>
Sent: Monday, December 9, 2019 10:18 AM
To: Ron Bonica <[email-masked]>; SPRING WG <[email-masked]>; 6man <[email-masked]>
Subject: Re: SRv6 Network Programming - ICMP Source Address Selection

Ron,

Thanks,
Pablo.

From: ipv6 <[email-masked]<mailto:[email-masked]>> on behalf of Ron Bonica <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>
Date: Friday, 6 December 2019 at 17:40
To: SPRING WG <[email-masked]<mailto:[email-masked]>>, 6man <[email-masked]<mailto:[email-masked]>>
Subject: SRv6 Network Programming - ICMP Source Address Selection

Authors,

                                                                     Ron

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Thu, 19 Dec 2019 11:46:43 +0000

Ron,

This is exactly the same as in the SRH.
There is no text in draft-ietf-spring-srv6-network-programming that changes this.

Cheers,
Pablo.

From: Ron Bonica <[email-masked]>
Date: Monday, 9 December 2019 at 23:48
To: "Pablo Camarillo (pcamaril)" <[email-masked]>, SPRING WG <[email-masked]>, 6man <[email-masked]>
Subject: RE: SRv6 Network Programming - ICMP Source Address Selection

Pablo,

Which did you choose?

                                                                         Ron

Ron,

Thanks,
Pablo.

Authors,

                                                                     Ron

---

From: Ron Bonica <[email-masked]>
Date: Thu, 19 Dec 2019 13:59:12 +0000

Pablo,

Can you provide a specific reference into draft-ietf-6man-segment-routing-header? I can't find the answer to my question in there.

                                                                                         Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]>
Sent: Thursday, December 19, 2019 6:47 AM
To: Ron Bonica <[email-masked]>; [email-masked]
Subject: Re: SRv6 Network Programming - ICMP Source Address Selection

Ron,

Cheers,
Pablo.

From: Ron Bonica <[email-masked]<mailto:[email-masked]>>
Date: Monday, 9 December 2019 at 23:48
To: "Pablo Camarillo (pcamaril)" <[email-masked]<mailto:[email-masked]>>, SPRING WG <[email-masked]<mailto:[email-masked]>>, 6man <[email-masked]<mailto:[email-masked]>>
Subject: RE: SRv6 Network Programming - ICMP Source Address Selection

Pablo,

Which did you choose?

                                                                         Ron

Juniper Business Use Only
From: Pablo Camarillo (pcamaril) <[email-masked]<mailto:[email-masked]>>
Sent: Monday, December 9, 2019 10:18 AM
To: Ron Bonica <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; 6man <[email-masked]<mailto:[email-masked]>>
Subject: Re: SRv6 Network Programming - ICMP Source Address Selection

Ron,

Thanks,
Pablo.

Authors,

                                                                     Ron